package de.hdm_stuttgart.mi.sd1.figure.model;

public class Rectangle extends Figure {

// Instance variables representing a rectangle's additional parameters
  private double width, height;
  
  
   /**
    * Extending {@link Figure#Figure(double, double)} by adding parameters
    * width and height on top of center coordinates.
    * 
    * @param x
    * @param y
    * @param width
    * @param height
    */
   public Rectangle(double x, double y, double width, double height) {
      super(x, y);
      setWidth(width);
      setHeight(height);
   }
   
   /**
    * @return The rectangle's area.
    */
   public double getArea() {
     return width * height;
   }

   /**
    * @return The rectangle's perimeter.
    */
   public double getPerimeter() {
     return 2 * (width + height); 
   }
   
   // Getter and setter methods for private attributes
   public double getWidth() { return width;}
   public void setWidth(double width) { this.width = width;}
   public double getHeight() { return height;}
   public void setHeight(double height) { this.height = height;}
   
}